Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List pipeline stage components

Returns the components a stage deploys.

GET/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

pipeline_iduuidrequired

The unique identifier for the pipeline

pipeline_stage_iduuidrequired

The unique identifier for the pipeline stage

Responses
200

Pipeline stage components retrieved successfully

Array of pipeline_stage_component
iduuidrequired

A universally unique identifier (UUID) string

stage_iduuidrequired

A universally unique identifier (UUID) string

component_iduuidrequired

A universally unique identifier (UUID) string

component_kindcomponent_kindrequired

Component kind for component-scoped variables

Allowed:KjobKApplicationKHelmKDatabase
is_requiredbooleanrequired
timeout_secondsinteger | null
created_atstring<date-time>required
default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/stages/497f6eca-6276-4993-bfeb-53cbbbba6f08/components' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "stage_id": "f38d2b9c-0a0a-4eea-91a8-e974413bb670",
    "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
    "component_kind": "Kjob",
    "is_required": true,
    "timeout_seconds": 0,
    "created_at": "2019-08-24T14:15:22Z"
  }
]

Was this page helpful?